Trying to include Ada in powerpc-unknown-linux-gnu build

Andreas Jaeger aj@suse.de
Fri Jan 7 21:52:00 GMT 2005


Toon Moene <toon@moene.indiv.nluug.nl> writes:

> Toon Moene wrote:
>
>> Andreas Jaeger wrote:
>
>>> That might have been the dwarf2out bug that was fixed by Daniel.
>>> Could you try again with current CVS?  It's supposed to be fixed now.
>> Got past the problem spot of yesterday.  More results tomorrow ...
>
> Unfortunately, no results, really, as the checking run hang in some Ada 
> test case, just as Daniel reported.
>
> Apparently, you (Andreas) have more luck on your system, as you produced 
> test results with Ada figures in them ...

There're have been different suggestions on how to work around this -
you could add the hanging test to some file (don't remember the name)
or use the hack appended to kill the tests.

Andreas

============================================================
Index: gcc/testsuite/ada/acats/run_all.sh
--- gcc/testsuite/ada/acats/run_all.sh	26 Apr 2004 21:15:54 -0000	1.18
+++ gcc/testsuite/ada/acats/run_all.sh	7 Jan 2005 21:10:49 -0000
@@ -11,9 +11,16 @@
 
 gccflags="-O2"
 gnatflags="-gnatws"
+timeout=120
 
 target_run () {
+  sh -c "(sleep $timeout; kill \$\$) &
+x=\$!
 $*
+s=\$?
+kill \$x
+exit \$s
+"
 }
 
 # End of customization section.

-- 
 Andreas Jaeger, aj@suse.de, http://www.suse.de/~aj
  SUSE Linux Products GmbH, Maxfeldstr. 5, 90409 Nürnberg, Germany
   GPG fingerprint = 93A3 365E CE47 B889 DF7F  FED1 389A 563C C272 A126
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 188 bytes
Desc: not available
URL: <https://gcc.gnu.org/pipermail/gcc/attachments/20050107/21d63d1f/attachment.sig>


More information about the Gcc mailing list